lablgtkmathview (0.7.8-7build5) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 15:15:47 +0100

lablgtkmathview (0.7.8-7build4) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 10:09:54 +0200

lablgtkmathview (0.7.8-7build3) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 May 2020 13:50:19 +0200

lablgtkmathview (0.7.8-7build2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:23:08 +0000

lablgtkmathview (0.7.8-7build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 15:12:30 +0200

lablgtkmathview (0.7.8-7) unstable; urgency=medium

  * Team upload
  * Debhelper compat level 10
  * Standards-Version 4.1.1 (no change)
  * debian/copyright: migrate to format 1.0

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Oct 2017 21:00:18 +0100

lablgtkmathview (0.7.8-6) unstable; urgency=low

  * Team upload

  [ Stefano Zacchiroli ]
  * fix package sections to "ocaml"

  [ Mehdi Dogguy ]
  * Remove inferrable dependencies in debian/control and let dh-ocaml
    do entirely the inference job.

  [ Stéphane Glondu ]
  * Switch source package format to 3.0 (quilt)
  * Add 0001-Fix-build-with-OCaml-3.12.patch (Closes: #585458)
  * Remove Stefano from Uploaders
  * Add debian/watch
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 09:49:31 +0200

lablgtkmathview (0.7.8-5) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
    - clean up obsolete (build-)deps, cosmetic changes
    - use ${ocaml:Depends} (but keep manual deps for the interim)
    - provide ${ocaml:Provides}
  * port ocamldoc API reference generation to dh_ocamldoc: add
    debian/*.ocamldoc.in and clean up debian/rules accordingly

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549829)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 06 Oct 2009 11:38:21 +0200

lablgtkmathview (0.7.8-4) unstable; urgency=low

  * New maintainer: pkg-ocaml-maint
  * New uploaders: gares and zack
  * Vcs-* fields fixed to point to the git repo
  * Added dh-ocaml to build-depends
  * Fixed .install.in files to use new @OCaml*@ macros
  * Fixed spelling in control: Ocaml -> OCaml

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 14 Mar 2009 12:49:01 +0100

lablgtkmathview (0.7.8-3) unstable; urgency=low

  * bump deps on lablgtk2 to match lates upstream
  * debian/control
    - fix VCS field names (now supported natively by dpkg)
    - add Homepage field

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 23 Nov 2007 13:59:38 +0100

lablgtkmathview (0.7.8-2) unstable; urgency=low

  * debian/liblablgtkmathview-ocaml-dev.install.in
    - more flexible pattern to install ocaml object files, so that missing
      *.cmxa files on non-native arch do not trigger failure with latest
      debhelper

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 15 Sep 2007 17:40:45 +0200

lablgtkmathview (0.7.8-1) unstable; urgency=low

  * add ocamldoc comments to .mli interface files
  * debian/control
    - port Vcs-Svn field to the new syntax
    - add XS-Vcs-Browser field pointing to HELM's repository browser
  * debian/rules
    - enable ocamldoc api reference generation (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 12:10:44 +0200

lablgtkmathview (0.7.3-2) experimental; urgency=low

  * rebuild with OCaml 3.10
  * debian/rules
    - use ocaml.mk cdbs class
  * bump debhelper deps and compatibility level to 5
  * debian/control
    - s/Source-Version/binary:Version
  * debian/*.install.in
    - do not attempt to instal *.ml files in target lib directory since they
      are no longer installed by Makefile

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Jul 2007 13:47:08 +0000

lablgtkmathview (0.7.3-1) unstable; urgency=low

  * debian/*.dirs
    - files removed: they were not needed since installation target
      automatically create needed directories, and they induced spurious
      empty directories in binary packages (closes: #369072)
  * debian/control.in
    - file removed: no longer needed
  * debian/control
    - added X-Vcs-Svn field pointing to package's svn repository
    - added build-dep on cdbs
  * debian/rules
    - switched to cdbs
    - moved destdir creation to "upstream" Makefile
    - moved detection of native code compilation availability to "upstream"
      Makefile/configure
  * debian/copyright
    - updated copyright info

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 11 Sep 2006 13:28:05 +0200

lablgtkmathview (0.7.2-5) unstable; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * debian/control
    - bumped Standards-Version to 3.7.2 (no changes needed)
  * debian/rules
    - added binary-indep target, which was missing

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 23:45:20 -0500

lablgtkmathview (0.7.2-4) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.
  * Bugfix: added debian/liblablgtkmathview.install.in, which was
    missing, but contained hard coded ABI version instances

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 01:21:17 +0100

lablgtkmathview (0.7.2-3) unstable; urgency=low

  * rebuilt with ocaml 3.09
  * debian/*
    - no longer hard coding of ocaml abi number anywhere

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 23 Nov 2005 09:59:14 +0000

lablgtkmathview (0.7.2-2) unstable; urgency=low

  * debian/changelog
    - reverted version format, '-debian_version' is back again
  * debian/liblablgtkmathview-ocaml.install
    - install .so in <ocaml stdlib dir>/stublibs/

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 25 Sep 2005 18:50:32 +0200

lablgtkmathview (0.7.2) unstable; urgency=low

  * new upstream release
    - enable access to gtk events
    - new methods bound: {set,get}_{t1_opaque_mode,t1_anti_aliased_mode}
    - bound new GtkMathView method for loading configuration files
  * debian/control
    - bumped standards-version
    - bumped deps on gmetadom and lablgtk2
    - removed useless build-dep on autoconf

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 31 Jul 2005 21:00:42 +0200

lablgtkmathview (0.7.1-2) unstable; urgency=low

  * debian/control
    - changed dep on gtkmathview to libgtkmathview0c2
    - bumped dep on gmetadom to 0.2.3

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  7 Jul 2005 14:15:44 +0000

lablgtkmathview (0.7.1-1) unstable; urgency=low

  * new upstream release
    - enable static binding of C stubs

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 15 Jun 2005 14:27:44 +0200

lablgtkmathview (0.7.0-1) unstable; urgency=low

  * new upstream release
    - minor changes, removed some annoying debugging prints
  * rebuilt against lablgtk2 2.4.0+2005.06.13-1 and gtkmathview 0.7.0

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 11 Jun 2005 12:38:44 +0200

lablgtkmathview (0.6.4-3) unstable; urgency=low

  * rebuilt with ocaml 3.08.3 and lablgtk2 2.4.0+2005.02.18

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Mar 2005 10:43:44 +0200

lablgtkmathview (0.6.4-2) unstable; urgency=low

  * rebuilt with ocaml 3.08.2 and lablgtk2 2.4.0+2004.11.19-1

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 Dec 2004 16:21:36 +0100

lablgtkmathview (0.6.4-1) unstable; urgency=low

  * new upstream release
    - bindings for gtkmathview 0.6.4

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 10 Nov 2004 14:20:10 +0100

lablgtkmathview (0.6.3-2) unstable; urgency=medium

  * debian/control
    - depend on ocaml-base-nox-3.08 instead of ocaml-base-3.08 since
      this package doesn't directly need ocaml X libraries

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Aug 2004 12:23:18 +0200

lablgtkmathview (0.6.3-1) unstable; urgency=low

  * new upstream release
    - bindings for gtkmathview 0.6.3
  * rebuilt with ocaml 3.08
  * debian/control
    - bumped ocaml deps to 3.08
    - bumped lablgtk deps to >= 2.4.0
    - bumped gdome deps to >= 0.2.1-3 (1st version rebuilt with 3.08)
    - bumped gtkmathview deps to >= 0.6.3 (needed by this binding)
    - bumped stadards version to 3.6.1.1

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Jul 2004 11:51:56 +0200

lablgtkmathview (0.5.1-4) unstable; urgency=low

  * ported to latest lablgtk2 (2.2.0+20040113) cvs snapshot
  * debian/control
    - changed build-dep accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 23 Jan 2004 13:44:11 +0100

lablgtkmathview (0.5.1-3) unstable; urgency=low

  * debian/control
    - removed some dependencies that should be inherited from
      libgtkmathview-dev (bugfix for newer libt1-dev)
    - bumped standards version to 3.6.1.0

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 22 Jan 2004 12:54:47 +0100

lablgtkmathview (0.5.1-2) unstable; urgency=low

  * Rebuilt with lablgtk2 2.2.0
  * debian/control
    - bumped ocaml-findlib dependencies to 0.8-5

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 13 Oct 2003 09:18:48 +0200

lablgtkmathview (0.5.1-1) unstable; urgency=low

  * New upstream release (transition to gtk2)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Oct 2003 10:10:10 +0200

lablgtkmathview (0.4.3-4) unstable; urgency=low

  * Rebuild with ocaml 3.07
  * debian/autodebian.make and debian/*.in
    An experiment!
    Mainly I've added an indirection which permits to fill some autoconf
    variable in debian/* files. In this way the ocaml version is
    discovered automagically and doesn't need to be manually changed
    each time a new ocaml version is released. Actually the only two
    supported variables are @OCAML_STDLIB_DIR@ (actually expands to
    "usr/lib/ocaml/3.07" via ocamlc -where) and @OCAML_STUBLIBS_DIR@
    (actually expands to "usr/lib/ocaml/3.07/stublibs")

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 22:48:51 +0200

lablgtkmathview (0.4.3-3) unstable; urgency=low

  * rebuilt against gmetadom 0.1.10-3
  * debian/control
    - strictly depends on gmetadom >= 0.1.10-3 (older version are buggy
      on mips)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 12 Jul 2003 14:14:31 +0200

lablgtkmathview (0.4.3-2) unstable; urgency=low

  * upstream changes
    - fixed Makefile.in that still looked for gtkmathview-config
    - selection flickering got rid of (by means of freeze/thaw)
    - structural selection is no longer activated just before
      semantic selection for single_selection_math_view
  * debian/control
    - bumped gmetadom dependencies to >= 0.1.10-2 (to ensure that .pc
      file is available)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  1 Jul 2003 11:25:48 +0200

lablgtkmathview (0.4.3-1) unstable; urgency=low

  * Rebuild against gtkmathview 0.4.3
  * debian/control
    - bumped standards version to 3.5.10
    - bumped dependencies on gtkmathview to 0.4.3
    - bumped dependencies on gmetadom to 0.1.9
    - added ${misc:Depends}
    - changed section of -dev package to "libdevel"
    - better short description
    - added built-dep to pkg-config
  * debian/rules
    - removed DH_COMPAT in favour of debian/compat
    - comsetic changes
    - removed useless binary-indep target
    - removed dh_movefiles in favour of dh_install

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Jun 2003 14:52:54 +0200

lablgtkmathview (0.4.1-1) unstable; urgency=low

  * Bugfix in some OCaml value allocations
  * Binding for gtkmathview 0.4.1
  * Bumped dependencies to gtkmathview 0.4.1
  * Dropped << dependencies for ocaml libraries
  * Bumped gmetadom dependencies to >= 0.1.6
  * Bumped gdome2 dependencies to >= 0.7.4

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Mar 2003 21:18:29 +0100

lablgtkmathview (0.3.99-2) unstable; urgency=low

  * Bugfix: added dep on t1lib-dev from liblablgtkmathview-ocaml-dev
  * Bugfix: added dep on libgtkmathview-dev (>= 0.4.0) from
    liblablgtkmathview-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 25 Jan 2003 10:24:53 +0100

lablgtkmathview (0.3.99-1) unstable; urgency=low

  * Binding to gtkmathview 0.4.0 (pre-release)
  * Added module GMathViewAux which contains backward compatible
    "single_selection_math_view" class
  * Reverted to >=/<< dependencies for ocaml libraries
  * Bumped dependencies on gmetadom to 0.1.5
  * Bumped dependencies on gtkmathview to 0.4.0
  * Added missing dependencies from liblablgtkmathview-ocaml-dev to
    libgdome2-ocaml-dev
  * Versioned dependencies on liblablgtk-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 22 Jan 2003 14:23:30 +0100

lablgtkmathview (0.3.1-1) unstable; urgency=low

  * Binding to gtkmathview 0.3.1
  * debian/control
    - bumped Standards Version to 3.5.8
    - deps and build deps to ocaml{,-base}-3.06-1
  * Moved lib stuff to /usr/lib/ocaml/3.06

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  7 Jan 2003 12:57:47 +0100

lablgtkmathview (0.3.0-10) unstable; urgency=low

  * Added dep on liblablgtk-ocaml{,-dev} respectively in
    liblablgtkmathview-ocaml{,-dev}

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 17 Sep 2002 11:58:14 +0200

lablgtkmathview (0.3.0-9) unstable; urgency=low

  * Removed useless dh_ocamlld invocation
  * Fixed native code compilation shared object path (now looks for .so
    in /usr/lib/ocaml/stublibs instead of
    /usr/lib/ocaml/lablgtkmathview)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Aug 2002 15:02:21 +0200

lablgtkmathview (0.3.0-8) unstable; urgency=low

  * Switched to debhelper 4
  * Added build dep on findlib (>= 0.7.1)
  * Rebuilt against ocaml 3.06 (Closes: Bug#158256, Bug#158266)
  * Changed deps and build-deps to ocaml-3.06 and ocaml-base-3.06 as
    mandated by the new ocaml packaging policy
  * Removed mention of lablgtkmathview from debian/control
  * Added dep on ocaml-findlib
  * Moved shared objects to /usr/lib/ocaml/stublibs

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  7 Jul 2002 13:50:52 +0200

lablgtkmathview (0.3.0-7) unstable; urgency=low

  * Added -fPIC when compiling some .o in order to build on HPPA
    (Closes: #142462)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 12 Apr 2002 14:31:47 +0200

lablgtkmathview (0.3.0-6) unstable; urgency=low

  * Added Build-Depends on t1lib-dev (Closes: Bug#140835).

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  2 Apr 2002 10:11:25 +0200

lablgtkmathview (0.3.0-5) unstable; urgency=low

  * Added Build-Depends on libgdome2-cpp-smart-dev (Closes: Bug#140720).

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  1 Apr 2002 09:00:03 +0200

lablgtkmathview (0.3.0-4) unstable; urgency=low

  * Added some .mli and .ml files that document the library interface.
  * Added Depends: on libgdome2-ocaml, we haven't yet estabilished how to
    interact with shlibs system for ocaml shared library that are installed in
    /usr/lib/ocaml

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  1 Apr 2002 00:17:41 +0200

lablgtkmathview (0.3.0-3) unstable; urgency=low

  * Rebuilt against gmetadom 0.3.0-4 and gtkmathview 0.3.0-2.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 19:17:56 +0100

lablgtkmathview (0.3.0-2) unstable; urgency=low

  * Added build dep on libgdome2-dev
  * Removed CVS stuff from source tarball

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Mar 2002 13:23:53 +0100

lablgtkmathview (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Renamed resulting package to liblablgtkmathview-ocaml-dev
  * Changed build-depends to adhere to the new ocaml packages naming schema
    (e.g. lablgtk -> liblablgtk-ocaml-dev) (Closes: Bug#138116)
  * Split away shared library in liblablgtkmathview-ocaml package

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Mar 2002 18:53:50 +0100

lablgtkmathview (0.2.8-1) unstable; urgency=low

  * New upstream release
  * Built with ocaml 3.04 and lablgtk 1.2.3
  * Removed useless build depends

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 25 Feb 2002 18:18:25 +0100

lablgtkmathview (0.2.4-4) unstable; urgency=low

  * Rebuilt with libgtkmathview 0.2.7

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  4 Sep 2001 22:16:35 +0200

lablgtkmathview (0.2.4-3) unstable; urgency=low

  *  Rebuilt with ocaml 3.02 and lablgtk 1.2.1

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 21 Aug 2001 15:20:05 +0200

lablgtkmathview (0.2.4-2) unstable; urgency=low

  * Added build-dep on libxml2-dev (closes: Bug#102715).

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Jun 2001 12:39:57 +0200

lablgtkmathview (0.2.4-1) unstable; urgency=low

  * Initial Release (closes: Bug#93105).

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  4 Apr 2001 23:27:07 +0200
